Interlaken
API referenceBilling and supportSupport tickets

List support tickets

GET
/api/v1/support-tickets

Requires the support:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/support-tickets"
{  "items": [    {      "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",      "body": "string",      "closed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "opener_id": "24738142-414a-4a0e-976b-8dcc50fa019c",      "priority": "string",      "status": "string",      "subject": "string",      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0}